Subject: Re: symbol card with orinoco_cs on mpc823

From: David Gibson <[email-masked]>
Date: Fri, 2 Aug 2002 16:23:24 +1000

On Fri, Aug 02, 2002 at 02:01:52PM +0800, shaowei dai wrote:
>
> Hello,
>
> Has anybody tried orinodo_cs 0.11b or 0.12b with success on symbol
> Spectrum24 High rate11M card on mpc platform?
> I've tried 2.4.18-pre3 and 2.4.19-rc3 kernel with orinoco driver. It works
> fine with intersil card. But
> when i try it on symbol card, it always crashes. After tracing down i find
> it is caused by hermes_init(). It seems the
> call to hermes_write_regn(hw,INTEN,0)  cause the crash. The ksymoops also
> suggest this function. It is just an io write. What can be wrong? And most
> strange thing is why it doesn't cause any trouble in normal intersil  card.

That's wierd - it is just a register write, so this sounds like a
low-level problem.  Is something about the card confusing the PCMCIA
system so it's reporting the wrong IO addresses?  Or maybe the timing
is a little bit different and something in the slot driver can't cope.

--
David Gibson			| For every complex problem there is a
[email-masked]	| solution which is simple, neat and
				| wrong.
http://www.ozlabs.org/people/dgibson

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/